Subject: [ippm] Summary of Next Steps for IOAM encapsulations

From: "Brian Trammell (IETF)" <[email-masked]>
Date: Mon, 25 Mar 2019 12:06:13 +0100

Greetings, all,

Here's where I think we are on IOAM encapsulations after today's discussion:

draft-weis-ippm-ioam-eth-01 : I have pinged Donald Eastlake (as IANA Ethertype expert, instead of Erik Nordmark) to determine the right way to get an Ethertype through IANA. Will follow up to determine if there is a better venue than IPPM for the discussion on this draft.

draft-ioametal-ippm-6man-ioam-ipv6-options-01
draft-ioametal-ippm-6man-ioam-ipv6-deployment-00 : to be discussed at 6man on Friday, next steps to be determined there. It is not clear whether this is more like PDM or more like SR as to how much 6man will care about the details of IOAM.

draft-brockners-ippm-ioam-geneve-02 : this is an alternate approach if getting an ethertype doesn't work.

draft-gafni-ippm-ioam-ipv4-options-00 : adding options to IPv4 for IOAM encaps is almost certainly a nonstarter. While the IESG statement in 2016 (https://www.iab.org/2016/11/07/iab-statement-on-ipv6/) does not prohibit work on v4 extensions, v4 options are deprecated de facto. In any case, IPPM is not the appropriate venue.

draft-*-spring: SR drafts belong in spring; authors of different approaches here should collaborate to see if their work can be combined. In any case, these are not for IPPM until spring indicates they're okay with SR encapsulation work happening outside the WG

I (personally) suggest that we focus on encaps that will drive deployment: GRE, Geneve (where ethertype will fix these two), IPv6, and MPLS; the authors probably have a better idea than I do of where to focus first in terms of impact.

Cheers,

Brian